package com.ruoyi.mall.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 帖子评论对象 tb_business_article_comment
 * 
 * @author ruoyi
 * @date 2023-10-18
 */
public class BusinessArticleComment extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 评论编号 */
    private Long commentId;

    /** 帖子编号 */
    @Excel(name = "帖子编号")
    private Long articleId;

    /** 用户编号 */
    @Excel(name = "用户编号")
    private Long userId;

    /** 被评论/回复编号 */
    @Excel(name = "被评论/回复编号")
    private Long replyId;

    /** 回复的所属评论的编号 */
    @Excel(name = "回复的所属评论的编号")
    private Long toCommentId;

    /** 被评论用户编号 */
    @Excel(name = "被评论用户编号")
    private Long toUserId;

    /** 内容 */
    @Excel(name = "内容")
    private String commentText;

    /** 评论类型（ 0-评论，1-回复） */
    @Excel(name = "评论类型", readConverterExp = "0=-评论，1-回复")
    private String commentType;

    /** 删除标记(0-正常,2-删除) */
    private String delFlag;

    public void setCommentId(Long commentId) 
    {
        this.commentId = commentId;
    }

    public Long getCommentId() 
    {
        return commentId;
    }
    public void setArticleId(Long articleId) 
    {
        this.articleId = articleId;
    }

    public Long getArticleId() 
    {
        return articleId;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setReplyId(Long replyId) 
    {
        this.replyId = replyId;
    }

    public Long getReplyId() 
    {
        return replyId;
    }
    public void setToCommentId(Long toCommentId) 
    {
        this.toCommentId = toCommentId;
    }

    public Long getToCommentId() 
    {
        return toCommentId;
    }
    public void setToUserId(Long toUserId) 
    {
        this.toUserId = toUserId;
    }

    public Long getToUserId() 
    {
        return toUserId;
    }
    public void setCommentText(String commentText) 
    {
        this.commentText = commentText;
    }

    public String getCommentText() 
    {
        return commentText;
    }
    public void setCommentType(String commentType) 
    {
        this.commentType = commentType;
    }

    public String getCommentType() 
    {
        return commentType;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("commentId", getCommentId())
            .append("articleId", getArticleId())
            .append("userId", getUserId())
            .append("replyId", getReplyId())
            .append("toCommentId", getToCommentId())
            .append("toUserId", getToUserId())
            .append("commentText", getCommentText())
            .append("commentType", getCommentType())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
